Package org.eclipse.emf.cdo.common.commit

# Interface CDOCommitHistory.TriggerLoadElement

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDOChangeKindProvider`, `CDOChangeSetData`, `CDOCommitData`, `CDOCommitInfo`, `CDOTimeProvider`

Enclosing interface:
  `CDOCommitHistory`

public static interface CDOCommitHistory.TriggerLoadElement extends CDOCommitInfo
A virtual `history` element that can be returned from `IContainer.getElements()` if `CDOCommitHistory.isAppendingTriggerLoadElement()` is `true` to indicate that the history is not `fully` loaded, yet.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Method Summary

Modifier and Type
Method
Description
`CDOCommitHistory`
`getHistory()`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`getBranch, getTimeStamp`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeKindProvider

`getChangeKind`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetData

`copy, forEachRevision, forEachRevisionDelta, getAffectedIDs, getChangedObject, getChangedObjects, getChangeKinds, getDetachedObject, getDetachedObjects, getNewObject, getNewObjects, isEmpty, merge`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitData

`getNewPackageUnits`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfo

`getComment, getCommitInfoManager, getMergedCommitInfo, getMergeSource, getPreviousCommitInfo, getPreviousTimeStamp, getUserID, isCommitDataLoaded, isInitialCommit`

## Method Details

### getHistory

CDOCommitHistory getHistory()